\documentclass[11pt,a4paper,twoside,openright,extrafontsizes]{memoir}

\newcommand{\docTitle}{<TITLE>}
\newcommand{\docSubtitle}{<SUBTITLE>}
\newcommand{\docAuthor}{Pieter-Jan Cassiman}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[english]{babel}

\usepackage[inner=24mm, outer=18mm, top=20mm, bottom=20mm]{geometry}

\usepackage{epigraph}

% For images
\usepackage{graphicx}

\usepackage{hyperref}
\hypersetup{
  colorlinks, 
  citecolor=black,
  filecolor=black,
  linkcolor=black,
  urlcolor=black,
  bookmarksopen=true,
  pdftex,
}

% ToC setup
\setlength\cftpartnumwidth{10mm}

% Add new line and remove indent for new paragraphs
\setlength{\parindent}{0pt}
\nonzeroparskip

% Since new chapters start on a new page (right side), this package will add a blank page before the new chapter.
\usepackage{emptypage}

% For fancy proper tables
\usepackage{longtable}
\usepackage{booktabs}
\renewcommand{\arraystretch}{1.3}

% Header & footer configuration
\usepackage{fancyhdr}
\setlength\headheight{17pt}
\fancyhf{}
\fancyhead[LE,RO]{\leftmark}
\fancyfoot[CE,CO]{\textasciitilde\hspace{2mm}\thepage\hspace{2mm}\hspace{2mm}\textasciitilde}

% Chapter name without number and 'Chapter'
\renewcommand{\chaptermark}[1]{\markboth{#1}{}}

% Chapter heading styles & moving it up so there isn't a huge amount of white space above chapter titles.
\usepackage{titlesec, blindtext}
\newcommand{\hsp}{\hspace{14pt}}
\titleformat{\chapter}[hang]{\Huge\bfseries}{\thechapter\hsp|\hsp}{0pt}{\Huge\bfseries}
\titlespacing*{\chapter}{0pt}{-20pt}{10pt}

% Codelistings
\usepackage{listings}

% Add new line and remove indent for new paragraphs
\setlength{\parindent}{0pt}
\nonzeroparskip

% Commands to enter blank pages...
\usepackage{afterpage}
\newcommand\blankpage{
  \null{}
  \thispagestyle{empty}
  \addtocounter{page}{0}
  \newpage
}

\newcommand\chap[1]{%
  \chapter*{#1}%
  \addcontentsline{toc}{chapter}{#1}
  \markboth{#1}{#1}
}

\newcommand\sect[1]{%
  \section*{#1}%
  \addcontentsline{toc}{section}{#1}
}

% Continue page numbering from frontmatter into mainmatter
\makeatletter
\def\pagenumbering#1{%
  \gdef\thepage{\csname @#1\endcsname \c@page}}
\makeatother

% Hide page number on part-page
\makeatletter
\renewcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
  \thispagestyle{empty}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
  \null\vfil
  \secdef\@part\@spart}
\makeatother


